### Hierarchy

- FlowNodeHandler
  - EndEventHandler

### Implements

- IFlowNodeHandler

## Index

### Methods

- execute
- executeIntern
- getFlowNodeById
- getNextFlowNodeFor

## Methods

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Implementation of IFlowNodeHandler.execute

  Inherited from FlowNodeHandler.execute

  - Defined in execution/handler/flow_node_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected executeIntern

- executeIntern(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Overrides FlowNodeHandler.executeIntern

  - Defined in execution/handler/end_event_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected getFlowNodeById

- getFlowNodeById(flowNodeId: string, processDefinition: IProcessDefEntity): INodeDefEntity

- Inherited from FlowNodeHandler.getFlowNodeById

  - Defined in execution/handler/flow_node_handler.ts:24

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns INodeDefEntity

### Protected getNextFlowNodeFor

- getNextFlowNodeFor(flowNode: INodeDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- Inherited from FlowNodeHandler.getNextFlowNodeFor

  - Defined in execution/handler/flow_node_handler.ts:17

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

Generated using TypeDoc